[MASTER] right click (with button release) might activate random popup-menu-item

Bug #187313 reported by Nicolò Chieffo on 2008-01-30
This bug affects 195 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Fix Released
Medium
One Hundred Papercuts
Undecided
Unassigned
openSUSE
Fix Released
Medium
firefox-3.0 (Ubuntu)
Medium
Alexander Sack
Nominated for Hardy by Dany Alejandro Cabrera
Nominated for Intrepid by Stefano Maioli
Nominated for Jaunty by Christopher Holt
iceweasel (Nexradix)
Fix Released
Low
Twisted Lincoln, Inc.

Bug Description

Binary package hint: firefox-3.0

I am using firefox 3.0~b3~cvs20080101t1000+nobinonly-0ub
when I right click on a link sometimes instead of popping up the normal right click menu one of these thing happens:
- the link is automatically opened in a new window
- the link is automatically opened in a new tab
- the add to favourites menu appears
- link properties are opened

==== Workaround ====

Workaround: Install the Mouse Gestures plug-in https://addons.mozilla.org/en-US/firefox/addon/39 and restart Firefox.

Workaround 2: click and hold the right button until the menu appears, then release the button over the menu item you want.

Please don't comment if either workaround fixes the problem for you. Otherwise, give hints how to reproduce please!

====Please read before commenting====

From https://bugs.launchpad.net/ubuntu/+source/firefox-3.0/+bug/187313/comments/140:

"If a person is affected by this bug they can note this with the the "This bug doesn't affect me" / "This bug affects me" switch at the top of this page.

Posting comments only generates more mail and makes the page so large that it is hard to follow actual discussion of this bug since the page is mostly the "me too!" posts. (Seriously, this page is huge.) We know this bug affects a lot of people. I myself am affected. There are enough "me too!" comments here that more will do exactly no good. You can subscribe yourself to this bug and mark yourself as affected without posting a me too comment, and we are politely requesting that people do that."

I couldn't reproduce this on Windows (2005 Oct 13 trunk and 1.5b2) or on my
version of Linux with similar versions. If I click on the exact corner, the menu
appears slightly to the left of the mouse. If I click near the corner, the menu
is aligned with the bottom of the screen (and hence, the mouse), but the border
of the menu doesn't count as the menu.

Could this be theme related on your Linux system?

This should be filed under Core - XP Toolkit/Widgets: Menus
Tweaking product and component...

I got a report (http://bugzilla.mozdev.org/show_bug.cgi?id=13196) that this happens in Firefox 1.5.0.1 on Linux with the default theme. I can't confirm this however, for me the context menu works fine (Firefox 1.5.0.1 on KDE).

I can reproduce this bug on Gnome 2.12.2 with default settings (Metacity + Clearlooks). The bug seems to be caused by the fact, that the edge of context menu is always positioned a few pixels to the bottom-right from the mouse pointer. I suggest this to be changed, so the pointer is a few pixels _away_ from the menu.

The bug is also present in the current nightly [Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9a1) Gecko/20060213 Firefox/1.6a1].

So... I can't seem to reproduce this. roc, can you reproduce?

Nope. The cursor is in the menu, but I have to move it a pixel or three upwards before an item is selected.

Hmm.. For me it's not even in the menu; it really shouldn't be in the menu....

*** Bug 333789 has been marked as a duplicate of this bug. ***

I can reproduce this on Ubuntu 6.10 with a current trunk build.
(Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a3pre) Gecko/20070222 Minefield/3.0a3pre)

When I open the context menu, the cursor is over the last item and it opens Page Info when I release the button.
I need to move the cursor one pixel upwards to get the highlight on the last menu item.
If I move the cursor at least one pixel downwards before releasing the button, the menu stays open.

It has not been fixed until three years?! Nice...
CC'ing myself.

Binary package hint: firefox-3.0

I have a synaptics touchpad and I'm using firefox 3.0~b3~cvs20080101t1000+nobinonly-0ub
when I right click on a link sometimes instead of popping up the normal right click menu one of these thing happens:
- the link is automatically opened in a new window
- the link is automatically opened in a new tab
- the add to favourites menu appears
- link properties are opened

Alexander Sack (asac) wrote :

does this behaviour go away if you don't configure the synaptics driver for X?

Changed in firefox-3.0:
status: New → Incomplete
importance: Undecided → Low

I'm on a desktop. This bug is driving me insane.

*right click*
*Bookmark link!*
What?! I want to open it in a..
*right click in blank region of page*
..normal menu comes down..
*right click*
theerreee we go. Open in new tab.

a little while later..
*right click*
....what's taking it so..
*New window!*
What?!

I have to say that this hasn't happened yet, since the new ff3 beta 3

ethana2 (ethana2) wrote :

Three beta three is what I'm on now, and I do still have this problem.

I was wrong, it still happens!

I don't get this behavior...

Matthew Woerly (nattgew) wrote :

...in b4.

That was Swiftfox... I do get it it FX Beta 3...
It's not all the time, it's just sometimes.

Changed in firefox-3.0:
status: Incomplete → Confirmed

Still here in Firefox3 beta4 on Ubuntu Hardy.

Nattgew: That is correct. This bug makes firefox annoying /and/ inconsistent.
I believe that once it rears its ugly head it can be replicated time
after time after time though.

I confirm that this irritating problem is happening reproduceably on this Tecra 8000 (400 MHz) laptop in the following typical situation. When launching (right-click|open in a new tab) a number of URLs, such as displayed by Google Search or News, the first one or two, maybe three, launches happen swiflty. Then, either the next right-clicks produce no context menu or, some time after some click, any entry of the context menu is executed -- any at apparent random -- although the context menu was not seen. At a later time, when loading pages has calmed down, right clicking resumes normal working.
I'm unsure if the delays such as paging memory out of a crowded RAM while loading the page to be clicked itself has an effect.
But I think so and the problem is certainly affected by load and/or delays.
The effect of multiple right-clicking should be considered.

More tests on request.
Please raise the severity.
Please don't add an unstoppable "send this page ..." or the like to the context menu ;-)

Using Ubuntu 8.04 alpha 6
and hence Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b3) Gecko/2008021416 Firefox/3.0b3

Thanks, andré. I'd use the middle mouse button instead and avoid
right-clicking like the plague because of this bug, but half the time
I try to press the middle mouse button, I scroll it. I'd just click
on links too, with my settings, but when I want to open a link in a
new tab, I don't want to have to think about context. When I click on
a link, I want it to replace the page I'm currently viewing.

So basically, I think I've seen this bug on every firefox3 install we
have (Ubuntu Hardy all)... If you just right click on every link and
say to open it in a new tab when you want it to do that, it won't be
too long 'till just up and does something completely random with it,
within the limits of the context menu entries present.

I have found my own workaround to my incarnation of that problem (On an overloaded computer, right-click very frequently spontaneously executes any context menu entry at random, otherwise menu appears after seconds or even never.):
I right-cleeeeek, that is, keeping held down until the menu appears (, or cramp, whichever is first).

Side notes:

- When the context menu (finally) appears, a random entry of the menu may be highlighted (but it's not executed). Same if a Firefox 3 window tab is right-clicked
- In Windows (and Wine), the context menu appears only when the mouse button has been released (up event). This is the best debouncing method that can be (this problem shouldn't debouncing, but who knows).
- In 7.10, releasing the right-click always executed the top entry unless the pointer was moved away from the top left corner. In 8.04, a small menu margin makes moving away unnecessary. Nice improvement, thanks !!!
- Why do so little persons report such a pesting bug?

Hoping this will help understand and fix the problem.

I'm wondering that myself, André.
My workaround is to /never/ use the right click menu.. always the
middle mouse button for new tab. 'course, half the time I
accidentally scroll...

I wonder how many people out there are just putting up with this bug..
 Please, leave a comment-- let the devs know this bug really needs to
be fixed.
..from my visit to #firefox, it seems this bug may be ubuntu specific..

This happens to me. (Super annoying) If it would help (the more info the better, right?), this is my setup:
Kubuntu-KDE4 Hardy Beta
KDE 4.0.3
Firefox 3 Beta 5

Alexander Sack (asac) wrote :

i still dont understand thigs bug. If you have access to other physical systems could you try (maybe with a livecd) if this happens everywhere or just for some hardware combination?

Changed in firefox-3.0:
status: Confirmed → Incomplete
  • unnamed Edit (134 bytes, text/html; charset=ISO-8859-1)

I guess I haven't confirmed this for beta5 yet...
Alright, Alexander, I'll try to narrow this down a bit for you guys.

Created attachment 316582
fix

Here's my fix. The problem is that the context menu code tries to move the menu two pixels down and to the right so that the menu does not appear under the cursor. But sometimes --- when you're near the bottom right of the screen --- nsMenuPopupFrame decides to place the context menu above the designated position; in that case, moving the menu down two pixels was wrong, we actually need to move the menu up two pixels.

So this patch passes the 2-pixel offset down as a parameter to nsMenuPopupFrame, which can use that information to place the popup correctly if it decides to make it appear above the mouse position.

Seems like it would be easier to just add the 2 pixels in nsMenuPopupFrame::SetPopupPosition as needed when mIsContextMenu is true instead.

That would change the behaviour of nsPopupBoxObject::OpenPopupAtScreen. If that's OK with you, I'll do that.

I have access to 2 laptops, and both are affected! Maybe only laptops are affected...

Changed in firefox-3.0:
status: Incomplete → Confirmed

I administrate two laptops and a desktop. All three are affected.
I'm going to wait to try to recreate this bug again until after the
stable Ubuntu release.

I no longer saw my problem in a 8.04 CR fresh installation in two days.
I've just done some stress testing which should have shown the problem but didn't.
It seems to me that I see the sandglass shows more often and it could be that it prevents clicking at the moments the "strange things" may happen.

This improvement needs to be confirmed by a few others (as my problem occurs almost exclusively when this slow computer is overloaded).

Created attachment 316915
fix v2

Okay, fixed as described.

Comment on attachment 316915
fix v2

>-nsMenuPopupFrame::InitializePopupAtScreen(PRInt32 aXPos, PRInt32 aYPos)
>+nsMenuPopupFrame::InitializePopupAtScreen(PRInt32 aXPos, PRInt32 aYPos,
>+ PRBool aIsContextMenu)
> {
> EnsureWidget();
>
> mPopupState = ePopupShowing;
> mAnchorContent = nsnull;
> mScreenXPos = aXPos;
> mScreenYPos = aYPos;
> mPopupAnchor = POPUPALIGNMENT_NONE;
> mPopupAlignment = POPUPALIGNMENT_NONE;
>+ mIsContextMenu = aIsContextMenu;
>+ mAdjustOffsetForContextMenu = aIsContextMenu;

mAdjustOffsetForContextMenu should be set to false for the other two InitializeX methods.

> screenViewLocY = nsPresContext::CSSPixelsToAppUnits(mScreenYPos) / factor;
>+ PRInt32 offsetForContextMenuCSS = mAdjustOffsetForContextMenu ? 2 : 0;
>+ PRInt32 offsetForContextMenuDev =
>+ nsPresContext::CSSPixelsToAppUnits(offsetForContextMenu) / factor;

You meant 'offsetForContextMenuCSS' here right?

I assume with this patch that the test for contextmenus (test_contextmenu_list.xul) works ok?

I'm not a superreviewer, so let's ask the other Neil.

Created attachment 317116
fix v3

Updated to comments.

test_contextmenu_list.xul passes on my Mac.

Sorry I must partially take back what I said.
In a two hours Google News session, it happened five times.
Indeed that's less frequent than before, but it still happens.
Right click on a link, release, wait, and for example a Bookmark This Link windows opens.
I still say that it happens less often, but, in this release, I am much more prevented to click while pages are loading in other tabs.

Changed in firefox:
status: Unknown → New
Changed in firefox:
status: Unknown → Confirmed
Alexander Sack (asac) on 2008-06-02
Changed in firefox-3.0:
importance: Low → Medium
Alexander Sack (asac) on 2008-06-05
Changed in firefox:
status: Confirmed → Incomplete
Changed in firefox:
status: Incomplete → Confirmed
Alexander Sack (asac) on 2008-07-07
Changed in firefox-3.0:
status: Confirmed → Triaged
description: updated
Alexander Sack (asac) on 2008-12-17
description: updated
description: updated
Changed in firefox:
status: Confirmed → In Progress
Alexander Sack (asac) on 2009-01-19
Changed in firefox-3.0:
assignee: nobody → asac
Alexander Sack (asac) on 2009-01-22
description: updated
description: updated
description: updated
era (era) on 2009-02-21
description: updated
Changed in firefox:
status: In Progress → Fix Released
era (era) on 2009-03-21
description: updated
Changed in fedora:
status: New → Invalid
Changed in iceweasel (Nexradix):
assignee: nobody → twistedlincoln
importance: Undecided → Low
status: New → Confirmed
Joshua Fallaw (jfallaw) on 2009-04-06
Changed in firefox:
importance: Unknown → Undecided
status: Fix Released → New
Changed in firefox:
importance: Undecided → Unknown
status: New → Unknown
Changed in firefox:
status: Unknown → Fix Released
243 comments hidden view all 323 comments
Alexander Sack (asac) wrote :

upstream fix will be rolled out in 3.0.10

Changed in firefox-3.0 (Ubuntu):
status: Triaged → In Progress
Artem (laptn) wrote :

This bug is not resolved in 9.04, I've had this bug in 8.04 also.

I'm running 9.04 and compiz fusion.

When I right click on a link sometimes instead of popping up the normal right click menu one of these thing happens:
- Open in new window
- Open in new tab
- Send this link in email
- Bookmark link
- Save link as

Please resolv this bug, it's really annoying

Daniel Holbert (dholbert) wrote :

Artem: Please read at least the final few comments before posting on a bug.... If you had, you'd see that this bug already has a patch that is targeted to be in a release very soon. (As mentioned multiple times above, "me too" comments are un-helpful at this point, and they only serve to make this bug longer and harder to read.)

To make this comment slightly more useful, I'll add a relevant update -- Firefox 3.0.10 has actually been converted into a quick security release[1] with only ~2 patches. So the fix for this bug here won't actually arrive until Firefox 3.0.11 (which nonetheless should still be out soon).

[1] source: https://wiki.mozilla.org/Releases/Firefox_3.0.10/Test_Plan

Mitchell (mitchellvc) wrote :

After updating to FF 3.0.10, I can't install mouse gestures. the plug-in seems to be installed but when trying to configure it ask to restart FF, if i restart FF, it ask it again and again when i try to configure, so it is never properly installed because it seems to assume that FF has not been restarted. The random behaviour does not disappear at all because the plugin is not installed properly. Already tried purging and reinstalling FF. So mouse gestures is not a workaround any more.
This bug is really annoying and the reaction that the community has showed against it is very poor, more than 1 year and no solution, despite there are already the way of getting a patch or something like that. We are waiting until the official FF release fix this bug. Three releases of ubuntu involved with this annoying bug in the default browser. I really hope that the community reacts faster in the future just because this is not gonna be the last time we have a bug like this. I believe the main reason people turn to use Ubuntu is because of the usability and the updated software, so the community also should react faster to bugs like this and provide a patch for ubuntu or something and not only wait until the solution is included in the code of an official release.
Ill wait to 3.0.11 (hoping that the fix not be put back again) and downgrade to 3.0.9 if it is possible, but I'm really disappointed with this kind of bureaucracy. It makes me remember the release of debian etch that was put back over and over again, I hope Ubuntu is not going in that direction.

Mitchell (mitchellvc) wrote :

I was talking about debian Lenny, but I'm still angrily disappointed.

Benjamin Geer (benjamin-geer) wrote :

Is Ubuntu severely short of resources for releasing bug fixes? Security fixes seem to be handled promptly, but non-security issues, such as this one, take years to get fixed, even when (as in this case) a patch is available.

Guys, this doesn't affect just Ubuntu, it happens on Windows machines also.

As annoying as this bug is, it is just that... annoying. It is not damaging to the system, and the workaround of holing the mouse button down until the menu appears instead of pressing it quickly is hardly a show-stopper.

The fix will soon be released and no amount of complaining will speed this up, so please can we have no further comments.

PS ~ sorry for the spam for the rest of you.

This issue is bugging me since 2007!
I had the same problem with PCLinuxOS 2007, openSUSE 11.0 and now openSUSE 11.1.

This is definitely not a Firefox-only issue, see also
http://forums.opensuse.org/applications/388116-11-0-firefox-3-right-click-menu-issues.html

It happens to me with all applications (it's just worst with Firefox, of course).

I really think this is a Xorg issue/bug! (mainly with KDE(?); PS/2 mouses(?))

The right-click menu sometimes seems to be too near by the mouse pointer, depending on the screen position. The bug only occurs if you do right-clicks at specific screen positions, mainly at the bottom-right corner (in the area(s) where the menu is 50:50 to be right-'above' or right-'below' the mouse pointer on a right click; => menu direction switching point). Then, an option (the nearest one reached) is selected and clicked (right click) at once. What is clicked depends on how the menu is shown, above or below the pointer.

Note that I also had the 'crazy mouse' bug on PCLinuxOS 2007, see
http://en.opensuse.org/SDB:X_Server_Configuration_with_SaX2_(8.1_or_Higher)#Known_Problems_and_Their_Solutions

... maybe this is/was related (PS/2 issue?)? ... although not having that problem with openSUSE so far.

----
Changing component to X.Org, as this isn't a Firefox bug for sure!

Is there a way to configure the X11/X.Org menu behaviour? Distance from mouse pointer e.g.?

I was using a PS/2 mouse when I initially had the problem, but I also have the same problem after switching it out with a USB mouse.

I had no issues with Firefox under openSUSE 11.0 until I upgraded to Firefox 3, and I have had not had the problem in any applications other than Firefox 3 under openSUSE 11.1.

The link to the Ubuntu bug given by Wiki Melancholie says that the bug will be fixed in Firefox 3.0.11, and the workaround in the meantime is to hold the right button down until the menu appears. I have confirmed this works with FF 3.0.9 under openSUSE 11.1 with my PS/2 trackball.

So apparently it's a Firefox 3 issue. Reassigning.

For Firefox the upstream report is
https://bugzilla.mozilla.org/show_bug.cgi?id=404314

This confirms that 3.5b4 (as in Factory) and 3.0.11 (when it gets released) for older distributions will have that bug fixed.

So is this report about Firefox only? Then I'm going to change the component and close it once 3.0.11 is released.

Yes, that's for Firefox only. Sorry, I didn't see that we have a seperate Firefox component.

Hmm, does someone know why this behaviour (see comment #5) also occured in Konqueror for me sometimes (at least for v3; so, not having noticed that with my fresh 11.1 install yet, maybe because of different screen resolution/KDE v4). Will have an eye on this...

But nice to know that in less than a month this will be past for Firefox, where it definitely was most annoying, although less harmful actually ;-)

Changed in opensuse:
status: Unknown → Confirmed
Philby (philbyjohn) wrote :

Well the priority of this bug is still low-medium. And I was expecting a fix by at least 3.0.10 but sadly that did not happen. Its been more than a year now since this has been sitting here like this. Please increase the bug priority and let higher management take notice.

Alexander Sack (asac) wrote :

Philby, the fact that the fix is considered for the stable (security-only) ffox 3.0 branch means that its not considered "low" priority. The importance here on launchpad or bugzilla does not really mean much.

To explain why this fix didn't end up being in 3.0.10

3.0.9 caused a regression that required us to run a firedrill release out of schedule (called 3.0.10); in order to allow a swift release of firefox 3.0.10 all fixes not directly required to address the regression were moved to the next regular release: 3.0.11 - including this fix.

Rich Wales (richw) wrote :

I updated to the just-released Firefox 3.0.11 -- and uninstalled the Mouse Gestures Redox add-on -- and I am no longer seeing the right-click bug.

This has now been fixed. The following URL is the release notes for 3.0.11

https://bugzilla.mozilla.org/buglist.cgi?keywords_type=anywords&keywords=fixed1.9.0.11+verified1.9.0.11

bug #406646

Changed in firefox-3.0 (Ubuntu):
status: In Progress → Fix Released
Mitchell (mitchellvc) wrote :

Finally it's fixed, the Firefox community delayed this too much!

:)
It is behind us right.

On Sat, Jun 13, 2009 at 9:07 PM, Mitchell <email address hidden> wrote:

> Finally it's fixed, the Firefox community delayed this too much!
>
> --
> [MASTER] right click (with button release) might activate random
> popup-menu-item
> https://bugs.launchpad.net/bugs/187313
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Nice to heard about that. we suffered from this many times.

On Sat, Jun 13, 2009 at 9:07 PM, Mitchell <email address hidden> wrote:

> Finally it's fixed, the Firefox community delayed this too much!
>
> --
> [MASTER] right click (with button release) might activate random
> popup-menu-item
> https://bugs.launchpad.net/bugs/187313
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
___________________________________________
නිදහස් නිවහල් දේශයක් කරා....

෴..::ජනිත් සම්පත් බණ්ඩාර|Janith Sampath Bandara::..෴

YannUbuntu (yannubuntu) wrote :

Congratulations !

Micah Gersten (micahg) wrote :

Thank you for participating in the Hundred Papercuts project. However, this bug has already been fixed in all Firefox 3 releases including in Karmic.

Changed in hundredpapercuts:
status: New → Invalid
Bananabob (bananabob) wrote :

I have been asked by email to comment on this bug. I now have Firefox 3.0.11 and it appears to be fixed for me. Thank you

On 07/02/2009 09:59 PM, Bananabob wrote:
> I have been asked by email to comment on this bug. I now have Firefox
> 3.0.11 and it appears to be fixed for me. Thank you
>
Upstream was going to add this to .10 however .10 ended up being a major
regression fix so they planed on .11 it says this early in the bug. Has
no one marked this as fixed released yet?

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Micah Gersten (micahg) wrote :

One of the users marked it as Fix Released. The bug attached to the
report is not on the official list of fixes for 3.0.11, but users report
the issue is gone.

John Vivirito wrote:
> On 07/02/2009 09:59 PM, Bananabob wrote:
>
>> I have been asked by email to comment on this bug. I now have Firefox
>> 3.0.11 and it appears to be fixed for me. Thank you
>>
>>
> Upstream was going to add this to .10 however .10 ended up being a major
> regression fix so they planed on .11 it says this early in the bug. Has
> no one marked this as fixed released yet?
>
>

The mozilla bug: https://bugzilla.mozilla.org/show_bug.cgi?id=406646 is in essence a duplicate of the bug linked to on this report.

This has been fixed in 3.0.11 (https://bugs.launchpad.net/ubuntu/+source/firefox-3.0/+bug/187313/comments/266)

Kris

I sometimes still see this problem in 3.5 (windows)
although in much less frequency than in 3.0.9...

Tralalalala (tralalalala) wrote :

I'm not going to read all 275 replies, because that'd take hours.

There was a bug in Firefox which caused Firefox to pick a random action when doing a secundary click. This bug is now finally fixed, but even after this bug has been fixed I still experience problems when doing a secundairy click. Why do we have problems with secundairy clicks?
1) Because of a bug in Firefox that chooses a random item from the context menu (this bug has been fixed);
2) Because in Linux a context menu is shown when PRESSING the secundairy mouse button, instead of when RELEASING the secundairy mouse button. When the cursor has moved in the time between pressing the mouse button and releasing the mouse button, you trigger an action of the context menu when releasing the mouse button. So you press the mouse button, the context menu shows, you accidentally move the cursor a little bit, you release the mouse button and when the mouse is at the first menu item of the context menu when releasing the mouse, the first menu item is activated. In other operating system releasing the mouse button will show the context menu.

The way to solve this bug forever is to change the above mentioned behavior so the context menu shows when releasing the mouse button, instead of when pressing the mouse buttion. The random actions of Firefox have disappeared since Firefox 3.0.11, but I still have problems with secundairy clicks. When doing a secundairy click on links in Firefox, I still open links in a new windows, instead of a new tab, because I moved my mouse a little bit. Every application is affected by this bug (although developers say it isn't a bug, but it's a feature, just like the crappy copy/paste functionallity in Linux). Doing a secundairy click in some white space in Nautilus often leads to the creation of new directories.

Please, change this behavior to show the context menu when the mouse button is released or at least give us the option to change this behavior.

Peter Berry (pwberry) wrote :

You can't really say this is the behaviour of menus "in Linux" because there are many desktop environments you can use in Linux, which may have many different behaviours regarding menus. Vanilla Ubuntu uses GNOME, where a context menu appears when you press the mouse button. If you then release it, it remains, and you can make a selection by another click. If you hold it down, you can move the cursor over an item and then release to make a selection. A quick test shows that there's a delay for activation of this "release to select" behaviour, so this perceived "randomness" only happens if the click is _very_ slow and ends up being interpreted as a hold instead of a click.

I would suggest spending some time with the mouse preferences (System >
Preferences > Mouse) to fine tune it to the way _you_ use the mouse.

With the mouse parameters tuned nicely the behavior becomes very
reliable and predictable even on hardware as disparate as generic Intel
with MS mouse vs HP hppa with generic mouse.

Yes, Firefox had an issue but it's not a general Linux issue nor is it
a Gnome or KDE issue.

Daniel Holbert (dholbert) wrote :

Patrick Roberts:
>2) Because in Linux a context menu is shown when PRESSING
> the secundairy mouse button, instead of when RELEASING
> the secundairy mouse button.

FWIW, this generalized GTK issue has already been noted above. (Searching this bug for "nautilus" will give you the relevant comments.) If you're interested in specifically working around it in Firefox (but not other apps), the "Mouse Gestures" addon can help, as documented in earlier comments.

> Doing a secundairy click in some white space in Nautilus
> often leads to the creation of new directories.
> Please, change this behavior to show the context menu
> when the mouse button is released or at least give us
> the option to change this behavior.

Um... Why are you posting this request here?

If you want an aspect of Gnome behavior made to be customizable, you won't get very far by posting your request on an already-fixed (and already-unmanageably-long) Firefox bug page (in Ubuntu's bug tracker). This has literally zero chance of getting your issue addressed.

You might have more luck if you bring up this topic in a Gnome developer IRC channel, forum, or mailing list. Or, you could file a bug at http://bugzilla.gnome.org. But posting about it here is not going to help.

(Please no more comments on this bug -- if we hit 300, I think I'm going to cry.)

Changed in iceweasel (Nexradix):
status: Confirmed → Fix Released
Changed in firefox:
importance: Unknown → Medium

This was closed long time ago.

Changed in opensuse:
importance: Unknown → Medium
status: Confirmed → Fix Released
Kevin Krumwiede (kjkrum) wrote :

This bug is regressed in FF 4.0.1 on Xubuntu 11.04. (It was also regressed in the FF packaged for Xubuntu 10.10.) Steps to reproduce are identical to comment #103 from 2008.

If an image is a link and is near the right side of the screen, its context menu will be drawn under the cursor, 100% reproducible. If the right mouse button is quickly clicked and released, the user will never see the menu drawn, and it will appear that a "random" item has been selected.

This only affects image links, not text links.

Kevin Krumwiede (kjkrum) wrote :

FF tries to draw both types of context menu above or below the cursor, but images links have very long context menus, and so often cannot fit above OR below the cursor.

Obvious fix: draw menus to the left when the cursor is near the right edge of the screen.

Daniel Holbert (dholbert) wrote :

> This bug is regressed in FF 4.0.1 on Xubuntu 11.04.

I'm not convinced that it's "this bug", even if the STR are the same. (_This_ bug wasn't image-specific, and it was due to specific code issue that was fixed.)

Could you file a new bug? This bug is already absurdly long (>300 comments), and as such is a bad place to investigate additional issues...

> Obvious fix: draw menus to the left when the cursor is near the right edge of the screen.

(This is what Firefox already does, at least on Ubuntu (not Xubuntu) 11.10. The menu gets drawn in an orientation (left/right & up/down) such that it "dodges" the cursor.

On Mon, May 23, 2011 at 10:24, Daniel Holbert
<email address hidden> wrote:
>> Obvious fix: draw menus to the left when the cursor is near the right
> edge of the screen.
>
> (This is what Firefox already does, at least on Ubuntu (not Xubuntu)
> 11.10.  The menu gets drawn in an orientation (left/right & up/down)
> such that it "dodges" the cursor.

It doesn't seem to do it under Kubuntu Natty/KDE 4.6.3 either. This
bug has been a plague for many years.

Daniel Holbert (dholbert) wrote :

WORKSFORME in a Kubuntu 11.04 Live USB environment with the included Firefox 4.0 version.

If you can reproduce the issue described in #320 / #322, please file a bug at http://bugzilla.mozilla.org (ideally with more information about how to reproduce), rather than adding the three hundred and twenty fourth comment on this different and long-closed bug.

Curtis Hovey (sinzui) on 2011-11-11
no longer affects: fedora
Displaying first 40 and last 40 comments. View all 323 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.